#include <iostream>

int main() {
    int a=-1;
    int b=0;
    using namespace std;
    int n,l;
    cin>>n>>l;
    for (int i=0;i<n+1;){
        b=b+1;
        int h;
        cin>>h;
        if (h<=l){
            cout<<b;
            a=a+1;
            exit(0);
        }
        
    }
    if (a=-1){
        cout<<a;
    }
    return 0;
}